%define rhel 0
%define debug 0
%define final 0

%define make_cvs 1

%define ksysv 0
%if %{rhel}
%define kuser 0
%else
%define kuser 1
%endif

%define kpackage 0
%define lilo 0
%define kdat 1
%define kcron 1
%define arts 1
%define knetworkconf 1

%define qt_version 3.3.6
%define kdelibs_epoch 6
%define kdebase_epoch 6
%define appdir %{_datadir}/applications/kde

Version: 3.5.4
Release: 4%{?dist}
Name: kdeadmin
Summary: Administrative tools for KDE.
Epoch: 7
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
License: GPL

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
Source1: kuser.pam
Source2: kuser.pamd
Source3: kpackage.pam
Source4: kpackage.pamd
Source5: kpackagerc

Patch0: kdeadmin-3.5.4-knetworkconf-redhat.patch
Patch1: kdeadmin-3.5.4-bz#420591-kcron.patch

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires: kdelibs >= %{kdelibs_epoch}:%{version}
Requires: kdebase >= %{kdebase_epoch}:%{version}
Requires: usermode

BuildRequires: desktop-file-utils
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: zlib-devel
BuildRequires: kdelibs-devel >= %{version}
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: rpm-devel
BuildRequires: bzip2-devel
BuildRequires: perl

%description
The kdeadmin package includes administrative tools for the K Desktop
Environment (KDE) including:

 kcron - Crontab editor
 kdat - Tape backup tool
 kuser - Frontend for configuring users and user groups

%prep
%setup -q
%patch0 -p1 -b .fc6
%patch1 -p1 -b .bz#420591-kcron

%if ! %{kpackage}
  echo 'DO_NOT_COMPILE="$DO_NOT_COMPILE kpackage"' >kpackage/configure.in.in
%endif

%if ! %{ksysv}
  echo 'DO_NOT_COMPILE="$DO_NOT_COMPILE ksysv"' >ksysv/configure.in.in
%endif

%if ! %{kuser}
  echo 'DO_NOT_COMPILE="$DO_NOT_COMPILE kuser"' >kuser/configure.in.in
%endif

%if ! %{lilo}
  echo 'DO_NOT_COMPILE="$DO_NOT_COMPILE lilo-config"' >lilo-config/configure.in.in
%endif

%if ! %{kdat}
  echo 'DO_NOT_COMPILE="$DO_NOT_COMPILE kdat"' >kdat/configure.in.in
%endif

%if ! %{kcron}
  echo 'DO_NOT_COMPILE="$DO_NOT_COMPILE kcron"' >kcron/configure.in.in
%endif

perl -pi -e "s,-lqt ,-lqt-mt ,g;s,-lqt$,-lqt-mt,g" ksysv/Makefile* lilo-config/qt/Makefile.*

%if %{make_cvs}
  make -f admin/Makefile.common cvs
%endif

%build
unset QTDIR && . /etc/profile.d/qt.sh

%configure \
   --enable-new-ldflags \
   --disable-dependency-tracking \
   --disable-rpath \
   --with-rpm \
   --with-qt-libraries=$QTDIR/lib \
   --disable-gcc-hidden-visibility \
%if %{arts} == 0
   --without-arts \
%endif
%if %{final}
   --enable-final \
%endif
%if %{debug}
   --enable-debug \
   --disable-warnings \
%endif
   --with-private-groups

make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

# don't use, just delete. Our own versions come later.
rm -rf %{buildroot}/etc/pam.d %{buildroot}/etc/security

# fix absolute symbolic links
(
  rpmlist="kcron"
  %if %{ksysv}
  rpmlist="$rpmlist ksysv"
  %endif
  %if %{kuser}
  rpmlist="$rpmlist kuser"
  %endif
  mkdir -p %{buildroot}%{_docdir}/HTML/en/common
  cd %{buildroot}%{_docdir}/HTML/en
  for i in $rpmlist ; do
    cd $i && ln -nfs ../common .
    cd ..
  done
)

%if %{kuser}
  desktop-file-install \
    --vendor "" \
    --dir %{buildroot}%{appdir} \
    --delete-original \
    --add-only-show-in KDE \
    %{buildroot}%{appdir}/kuser.desktop
# Put in some sane defaults
  mkdir -p %{buildroot}%{_datadir}/config
  cat >%{buildroot}%{_datadir}/config/kuserrc <<EOF
[template]
copySkel=true
createHomeDir=true
homeBase=/home
shell=/bin/bash
userPrivateGroup=true
EOF
%endif

%if %{ksysv}
  cat >%{buildroot}%{_datadir}/config/ksysvrc <<EOF
[Other Settings]
Configured=true
[Path Settings]
RunlevelPath=/etc/rc.d
ScriptPath=/etc/rc.d/init.d
[Runlevels]
Show Runlevels=0,1,2,3,4,5,6
EOF
%endif

mkdir -p %{buildroot}/etc/security/console.apps \
         %{buildroot}/etc/pam.d %{buildroot}/usr/sbin

# Runkuser through consolehelper
%if %{kuser}
  mv %{buildroot}%{_bindir}/kuser %{buildroot}/usr/sbin
  install -c -m 644 %{SOURCE1} %{buildroot}/etc/security/console.apps/kuser
  install -c -m 644 %{SOURCE2} %{buildroot}/etc/pam.d/kuser
  ln -s consolehelper %{buildroot}%{_bindir}/kuser
%endif

%if %{kpackage}
  mkdir -p %{buildroot}%{_datadir}/config
  install -c -m 644 %{SOURCE3} %{buildroot}/etc/security/console.apps/kpackage
  install -m 0644 %{SOURCE4} %{buildroot}/etc/pam.d/kpackage
  install -c -m 644 %{SOURCE5} %{buildroot}%{_datadir}/config
  mv %{buildroot}%{_bindir}/kpackager %{buildroot}/usr/sbin
  ln -s consolehelper %{buildroot}%{_bindir}/kpackager
%endif

%if ! %{kcron}
  rm -rf %{buildroot}%{_docdir}/HTML/en/kcron
%endif

%if ! %{kdat}
  rm -rf %{buildroot}%{_docdir}/HTML/en/kdat
%endif

%if ! %{kpackage}
  rm -rf %{buildroot}%{_docdir}/HTML/en/kpackage
%endif

%if ! %{ksysv}
  rm -rf %{buildroot}%{_docdir}/HTML/en/ksysv
%endif

%if ! %{kuser}
  rm -rf %{buildroot}%{_docdir}/HTML/en/kuser
%endif

%if ! %{lilo}
  rm -rf %{buildroot}%{_docdir}/HTML/en/lilo-config
%endif

%post
for icon_theme in crystalsvg hicolor locolor ; do
  touch --no-create %{_datadir}/icons/${icon_theme} 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/${icon_theme} 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun
for icon_theme in crystalsvg hicolor locolor ; do
  touch --no-create %{_datadir}/icons/${icon_theme} 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/${icon_theme} 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/secpolicy
%{_libdir}/kde3/kfile_*
%{_datadir}/services/kfile_*

%if %{knetworkconf}
%{_libdir}/kde3/kcm_knetwork*
%{_libdir}/pkgconfig/system-tools-backends.pc
%{_datadir}/applications/kde/kcm_knetwork*.desktop
%{_datadir}/apps/knetworkconf
%{_datadir}/icons/*/*/*/*network*.png
%doc %{_docdir}/HTML/en/knetworkconf
%endif

%if %{kcron}
%{_bindir}/kcron
%{_datadir}/applications/kde/*kcron.desktop
%{_datadir}/icons/*/*/apps/kcron*
%{_datadir}/apps/kcron
%doc %{_docdir}/HTML/en/kcron
%endif

%if %{kdat}
%{_bindir}/kdat
%{_datadir}/apps/kdat
%{_datadir}/applications/kde/*kdat.desktop
%{_datadir}/icons/*/*/*/kdat.png
%doc %{_docdir}/HTML/en/kdat
%endif

%if %{kpackage}
%config %{_datadir}/config/kpackagerc
%config %{_datadir}/apps/kpackage/kpackageui.rc
%{_bindir}/kpackage
%{_sbindir}/kpackage
%{_datadir}/apps/kpackage
%{_datadir}/applications/kde/*kpackage.desktop
%{_datadir}/icons/*/*/apps/kpackage*
%{_datadir}/mimelnk/application/x-debian-package.desktop
%config(noreplace) /etc/pam.d/kpackage
%config(noreplace) /etc/security/console.apps/kpackage
%doc %{_docdir}/HTML/en/kpackage
%endif

%if %{ksysv}
%config %{_datadir}/config/ksysvrc
%{_bindir}/ksysv
%{_datadir}/apps/ksysv
%{_datadir}/applications/kde/*ksysv.desktop
%{_datadir}/icons/*/*/apps/ksysv*
%{_datadir}/mimelnk/application/x-ksysv.desktop
%{_datadir}/mimelnk/text/x-ksysv-log.desktop
%{_datadir}/icons/*/*/actions/toggle_log.png
%doc %{_docdir}/HTML/en/ksysv
%endif

%if %{kuser}
%config %{_datadir}/config/kuserrc
%{_bindir}/kuser
%{_sbindir}/kuser
%{_datadir}/apps/kuser
%{_datadir}/applications/kde/*kuser.desktop
%{_datadir}/icons/*/*/apps/kuser*
%{_datadir}/config.kcfg/kuser.kcfg
%config(noreplace) /etc/pam.d/kuser
%config(noreplace) /etc/security/console.apps/kuser
%doc %{_docdir}/HTML/en/kuser
%endif

%if %{lilo}
%{_datadir}/applications/kde/*lilo.desktop
%{_libdir}/kde3/kcm_lilo*
%endif

%changelog
* Thu Sep 01 2011 Than Ngo <than@redhat.com> - 7:3.5.4-4
- Resolves: bz#420591, kcron silent option is broken

* Mon Jan 15 2007 Than Ngo <than@redhat.com> - 7:3.5.4-3
- Resolves: bz#220656, RHEL5 support in knetworkconf

* Fri Aug 18 2006 Than Ngo <than@redhat.com> 7:3.5.4-2
- add FC6 support in knetworkconf

* Thu Aug 10 2006 Than Ngo <than@redhat.com> 7:3.5.4-1
- rebuild

* Mon Jul 24 2006 Than Ngo <than@redhat.com> 7:3.5.4-0.pre1
- prerelease of 3.5.4 (from the first-cut tag)
- drop kdeadmin-3.5.2-knetworkconf-fedora.patch, it's include in 3.5.4 upstream

* Mon Jul 17 2006 Than Ngo <than@redhat.com> 7:3.5.3-2
- rebuild

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 7:3.5.3-1.1
- rebuild

* Fri Jun 02 2006 Than Ngo <than@redhat.com> 7:3.5.3-1
- update to 3.5.3

* Wed May 17 2006 Than Ngo <than@redhat.com> 7:3.5.2-2
- add support Fedora Core release 5

* Wed Apr 05 2006 Than Ngo <than@redhat.com> 7:3.5.2-1
- update to 3.5.2

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 7:3.5.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 7:3.5.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Feb 03 2006 Than Ngo <than@redhat.com> 7:3.5.1-1 
- 3.5.1

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Nov 29 2005 Than Ngo <than@redhat.com> 7:3.5.0-1
- 3.5 final

* Tue Nov 15 2005 Than Ngo <than@redhat.com> 7:3.4.92-2 
- get rid of redundant buildrequires

* Mon Oct 24 2005 Than Ngo <than@redhat.com> 7:3.4.92-1
- update to 3.5 Beta 2

* Fri Oct  7 2005 Tomas Mraz <tmraz@redhat.com>
- use include instead of pam_stack in pam config

* Tue Oct 04 2005 Than Ngo <than@redhat.com> 7:3.4.91-1
- update to 3.5 Beta 1

* Tue Sep 20 2005 Than Ngo <than@redhat.com> 7:3.4.2-2 
- fix kcron crashes when a variable is selected #168770

* Mon Aug 08 2005 Than Ngo <than@redhat.com> 7:3.4.2-1
- update to 3.4.2

* Mon Jul 18 2005 Than Ngo <than@redhat.com> 7:3.4.1-2
- enable kuser #161051

* Tue Jun 28 2005 Than Ngo <than@redhat.com> 7:3.4.1-1
- 3.4.1

* Fri Mar 18 2005 Than Ngo <than@redhat.com> 7:3.4.0-1
- 3.4.0

* Fri Mar 04 2005 Than Ngo <than@redhat.com> 7:3.4.0-0.rc1.2
- rebuilt against gcc-4.0.0-0.31

* Sat Feb 26 2005 Than Ngo <than@redhat.com> 7:3.4.0-0.rc1.1
- KDE 3.4.0 rc1

* Fri Feb 18 2005 Than Ngo <than@redhat.com> 7:3.3.92-0.1
- KDE-3.4 beta2

* Fri Dec 03 2004 Than Ngo <than@redhat.com> 7:3.3.2-0.1
- update to 3.3.2

* Mon Oct 18 2004 Than Ngo <than@redhat.com> 7:3.3.1-2
- rebuilt

* Wed Oct 13 2004 Than Ngo <than@redhat.com> 7:3.3.1-1
- update to 3.3.1

* Mon Aug 23 2004 Than Ngo <than@redhat.com> 3.3.0-1
- update to 3.3.0 release

* Tue Aug 10 2004 Than Ngo <than@redhat.com> 3.3.0-0.1.rc2
- update to 3.3.0 rc2

* Tue Aug 10 2004 Than Ngo <than@redhat.com> 3.3.0-0.1.rc1
- update to 3.3 rc1

* Sat Aug 07 2004 Than Ngo <than@redhat.com> 7:3.2.92-1 
- update to 3.2 beta 2

* Mon Jun 21 2004 Than Ngo <than@redhat.com> 7:3.2.3-1 
- update to 3.2.3

* Tue May 25 2004 Than Ngo <than@redhat.com> 7:3.2.2-3
- disable kcmlinuz

* Tue May 04 2004 Than Ngo <than@redhat.com> 7:3.2.2-2
- cleanup GNOME/KDE menu

* Tue Apr 13 2004 Than Ngo <than@redhat.com> 7:3.2.2-1
- 3.2.2 release

* Sun Mar 07 2004 Than Ngo <than@redhat.com> 7:3.2.1-1
- 3.2.1 release

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 05 2004 Than Ngo <than@redhat.com> 7:3.2.0-0.3
- 3.2.0 release
- build against qt 3.3.0

* Tue Jan 27 2004 Than Ngo <than@redhat.com> 3.1.95-0.2
- cleanup specfile

* Mon Jan 19 2004 Than Ngo <than@redhat.com> 7:3.1.95-0.1
- KDE 3.2 RC1

* Wed Dec 03 2003 Than Ngo <than@redhat.com> 7:3.1.94-0.1
- KDE 3.2 Beta 2

* Thu Nov 27 2003 Than Ngo <than@redhat.com> 7:3.1.93-0.2
- get rid of rpath

* Wed Nov 12 2003 Than Ngo <than@redhat.com> 7:3.1.93-0.1
- KDE 3.2 Beta1
- update kisdndock 1.0.2
- cleanup

* Tue Sep 30 2003 Than Ngo <than@redhat.com> 7:3.1.4-1
- 3.1.4

* Sun Aug 03 2003 Than Ngo <than@redhat.com> 7:3.1.3-1
- 3.1.3

* Wed Jun 25 2003 Than Ngo <than@redhat.com> 3.1.2-4
- build against gcc-3.3-12
- add define macro for lilo

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 19 2003 Than Ngo <than@redhat.com> 3.1.2-2
- 3.1.2

* Wed Mar 19 2003 Than Ngo <than@redhat.com> 3.1.1-1
- 3.1.1

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Thu Feb 20 2003 Than Ngo <than@redhat.com> 3.1-2
- fix #84665
- get rid of gcc path from dependency_libs

* Mon Jan 27 2003 Than Ngo <than@redhat.com> 3.1-1
- 3.1 final
- remove unneeded size_t check patch
- cleanup specfile

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 7:3.1-0.5
- rebuild

* Tue Jan 14 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.4
- exclude ia64
- removed size_t check

* Mon Jan 13 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.3
- rc6

* Thu Nov 28 2002 Than Ngo <than@redhat.com> 3.1-0.2
- desktop file issues

* Mon Nov 25 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4
- desktop file issues
- adjust some patch files for 3.1

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5

* Wed Nov  6 2002 Than Ngo <than@redhat.com> 3.0.4-2
- fix some build problems

* Tue Oct 15 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4
- cleanup specfile

* Fri Sep 13 2002 Than Ngo <than@redhat.com> 3.0.3-3.1
- Fixed to build on x86_64

* Thu Aug 22 2002 Bernhard Rosenkraenzer <bero@redhat.de> 3.0.3-3
- Fix kuser (#68879)

* Wed Aug 14 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- improve spec file to better exclude sub-packages

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3
- rebuild against new gcc

* Thu Aug  8 2002 Than Ngo <than@redhat.com> 3.0.2-4
- desktop file issues
- Added pam_timestamp support (bug #69862)

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 3.0.2-3
- build using gcc-3.2-0.1

* Sat Jul 20 2002 Than Ngo <than@redhat.com> 3.0.2-2
- fix desktop files issue

* Wed Jul 10 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri May 10 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-1
- 3.0.1
- Fix build with current automake
- Don't build kpackage until the rpm 4.1 API is finalized

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-4
- Rebuild

* Thu Apr 11 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-3
- Link everything against the correct qt

* Thu Mar 28 2002 Than Ngo <than@redhat.com> 3.0.0-2
- add missing shared libs
- exlude some stuff on s390/s390x

* Wed Mar 27 2002 Than Ngo <than@redhat.com> 3.0.0-1
- final

* Tue Mar  5 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020305.1
- Make splits a buildtime option (off by default) by request.

* Mon Feb 18 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020118.1
- Remove kapabilities, qmkbootdisk and kontrol-panel, they're separate packages
  these days

* Thu Jan 17 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020117.1
- Update
- Build with current kdelibs
- Run kpackage through consolehelper

* Sat Dec 15 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20011215.1
- Update
- Split package

* Thu Aug  9 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-2
- Get rid of the "Sources were not configured" warning at the first
  start of kuser
- The first normal user ID is 500, not 1001
- Run kwuftpd and kuser through consolehelper
- kontrol-panel 4.1.0; takes its desktop files from /etc/X11/sysconfig and
  /etc/X11/serverconfig and removes desktop files that aren't needed
  anymore
- Don't require mkbootdisk on ia64

* Mon Aug  6 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-1
- 2.2 final

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010724.1
- Add build dependency on fam-devel (#49081)
- Get rid of ia64 workaround

* Sun Jul 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010722.1
- Update
- Work around ia64 breakages

* Wed Jun 27 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010627.1
- Update
- Add build dependencies (#45153)
- Don't own /usr/lib/kde2, kdelibs already does

* Tue May 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.alpha2.1
- 2.2alpha2

* Fri Apr 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.alpha1.1
- 2.2alpha1

* Fri Mar 23 2001 Preston Brown <pbrown@redhat.com> 2.1.1-3
- secpolicy removed for now...broken and useless.

* Wed Mar 21 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-2
- Fix an endless loop when switching kernels in lilo-config

* Tue Mar 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-1
- 2.1.1
- clean up specfile

* Mon Mar 19 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-8
- Don't crash when deleting a cronjob (#31999)

* Mon Mar 19 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-7
- Fix ksysv defaults (#32000)

* Fri Mar 16 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix kuser defaults (#31847)

* Wed Feb 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix typo in kontrol-panel.desktop (#30001)
- Don't own standard directories
- Add Polnish translation to .desktop files from CVS

* Sun Feb 25 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add icons for lilo and wu-ftpd configuration in kontrol-panel
  (Bug #29347)

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to 2.1-respin

* Mon Feb 19 2001 Than Ngo <than@redhat.com>
- fixed dangling symlinks
- fixed kontrol-panel references lprngtool (bug #25477)
- update to 2.1

* Mon Feb  5 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild with lilo installed in the buildroot, we want
  lilo-config

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Don't exclude ia64

* Sat Oct 28 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to KDE_2_0_BRANCH, now that the ".0 release" bugs are fixed

* Mon Oct 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Tue Oct  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Mon Oct  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new CVS

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with new Qt

* Wed Aug 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93
- fix up rpmv4 support

* Wed Jul 26 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Handle rpmv4 packages in kpackage (patch from Jeff Johnson <jbj@redhat.com>
  and myself)

* Fri Jul 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- some fixes to spec file

* Tue Jul 18 2000 Than Ngo <than@redhat.de>
- rebuilt against glibc-2.1.92-14, gcc-2.96-40

* Sun Jul 16 2000 Than Ngo <than@redhat.de>
- use gcc 2.96
- new snapshot
- FHS fixes

* Sun Jul  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use kernelcc
- new snapshot

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- clean up specfile
- new snapshot
- ExcludeArch ia64 for now - kdelibs doesn't compile there
- kill ksysctrl for now - compiler breakages.

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Fri Jan  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- work around install-strip breakage

* Fri Oct 22 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.0 snapshot
